api/views/exchange.py
#   datamax/api/views/exchange.py
#   Copyright (C) 2019 Axtria.
#
#   Author: Varun Singhal <varun.singhal@axtria.com>
from flask import Blueprint, render_template

views_exchange = Blueprint('views_exchange', __name__)


@views_exchange.route('/login')
def login():
    """

    Returns:

    """
    return render_template('api_exchange/login.html')


@views_exchange.route('/add')
def add_api():
    """API Exchange - add APIs into the system using the user interface.

    Returns:

    """
    return render_template('api_exchange/add.html')


@views_exchange.route('/published')
def published_api():
    """

    Returns:

    """
    return render_template('api_exchange/published.html')


@views_exchange.route('/all')
def all_api():
    """

    Returns:

    """
    return render_template('api_exchange/all.html')


@views_exchange.route('/edit')
def edit_api():
    """

    Returns:

    """
    return render_template('api_exchange/edit.html')


@views_exchange.route('/copy')
def copy_api():
    """

    Returns:

    """
    return render_template('api_exchange/copy.html')


@views_exchange.route('/category')
def category_api():
    """

    Returns:

    """
    return render_template('api_exchange/category.html')


@views_exchange.route('/summary')
def summary_api():
    """

    Returns:

    """
    return render_template('api_exchange/summary.html')

api/views/validation.py
#   datamax/api/views/validation.py
#   Copyright (C) 2019 Axtria.
#
#   Author: Varun Singhal <varun.singhal@axtria.com>
from flask import render_template, Blueprint

views_validation = Blueprint('views_validation', __name__)


@views_validation.route('login')
def login():
    return render_template('validation/login.html')


@views_validation.route('index')
def index():
    """List of all the files"""
    return render_template('validation/index.html')


@views_validation.route('add_s3')
def file_add_s3():
    return render_template('validation/add_s3.html')


@views_validation.route('add_redshift')
def file_add_redshift():
    return render_template('validation/add_redshift.html')


@views_validation.route('list_config')
def list_config():
    return render_template('validation/list_config.html')


@views_validation.route('/add')
def add_config():
    return render_template('validation/add_config.html')


@views_validation.route('/edit')
def edit_config():
    return render_template('validation/edit_config.html')


@views_validation.route('/list_config_instance')
def list_config_instance():
    return render_template('validation/list_config_instance.html')

api/templates/api_exchange_layout.html
<!DOCTYPE html>

{# _datamax/api/templates/api_exchange/layout.html_ #}
<html lang="en">
<head>
    <!-- Required meta tags -->
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">

    <!-- Bootstrap CSS -->
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css"
          integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous">
    <link rel="stylesheet" href="https://use.fontawesome.com/releases/v5.6.3/css/all.css"
          integrity="sha384-UHRtZLI+pbxtHCWp1t77Bi1L4ZtiqrqD80Kn4Z8NTSRyMA2Fd33n5dQ8lWUE00s/" crossorigin="anonymous">
    <link rel="stylesheet" href="https://cdn.datatables.net/1.10.19/css/jquery.dataTables.min.css">
    <link rel="stylesheet" href="https://cdn.datatables.net/1.10.19/css/dataTables.bootstrap4.min.css">


    <!-- jQuery first, then Popper.js, then Bootstrap JS -->
    <script src="https://code.jquery.com/jquery-3.4.1.min.js"
            crossorigin="anonymous"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.7/umd/popper.min.js"
            integrity="sha384-UO2eT0CpHqdSJQ6hJty5KVphtPhzWj9WO1clHTMGa3JDZwrnQq4sF86dIHNDz0W1"
            crossorigin="anonymous"></script>
    <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/js/bootstrap.min.js"
            integrity="sha384-JjSmVgyd0p3pXB1rRibZUAYoIIy6OrQ6VrjIEaFf/nJGzIxFDsf4x0xIM+B07jRM"
            crossorigin="anonymous"></script>
    <script src="https://cdn.datatables.net/1.10.19/js/jquery.dataTables.min.js"></script>
    <script src="https://cdn.datatables.net/1.10.19/js/dataTables.bootstrap4.min.js"></script>
    <script src="https://cdn.datatables.net/buttons/1.6.1/js/dataTables.buttons.min.js"></script>
    <script src="https://cdn.datatables.net/buttons/1.6.1/js/buttons.flash.min.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/jszip/3.1.3/jszip.min.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/pdfmake/0.1.53/pdfmake.min.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/pdfmake/0.1.53/vfs_fonts.js"></script>
    <script src="https://cdn.datatables.net/buttons/1.6.1/js/buttons.html5.min.js"></script>
    <script src="https://cdn.datatables.net/buttons/1.6.1/js/buttons.print.min.js"></script>
    <script>
        $( document ).ajaxStart(function() {
            $(".loading").show();
        });

        $( document ).ajaxStop(function() {
            $(".loading").hide();
        });

        $( document ).ajaxError(function( event, request, settings ) {
            $(".modal-body").html(request.responseJSON.traceback);
            $('.modal').modal('show');
        });

        $(document).ready(function() {
            $.fn.dataTable.ext.errMode = 'none';
            $('html').on('error.dt', function(e, settings, techNote, message) {
                console.log(settings.jqXHR);
                if (settings.jqXHR.status == 403){
                    $('.modal-title').html('Session expired');
                    $('.modal-body').html(settings.jqXHR.responseJSON.traceback);
                    $('.modal').modal('show');
                }
            })
        });
    </script>
    <style>
        html{
            font-size:0.7em;
        }
        body {
                    background-color: #eeeeee;
                }

        .h7 {
            font-size: 0.8rem;
        }

        .gedf-wrapper {
            margin-top: 0.97rem;
        }

        @media (min-width: 992px) {
            .gedf-main {
                padding-left: 4rem;
                padding-right: 4rem;
            }
            .gedf-card {
                margin-bottom: 2.77rem;
            }
        }

        /**Reset Bootstrap*/
        .dropdown-toggle::after {
            content: none;
            display: none;
        }

        .btn-link{
            padding: 0px;
        }

        .wall-image{
            height: 200px;
        }

        #newNotification i{
                vertical-align: top;
                font-size: 0.7em;
                display:none;
                color: #05728f;
        }

        .navbar .navbar-nav .nav-link.active{
            color: #05728f;
        }

        .list-group-item.active{
            background-color: #05728f;
        }
        .list-group-item.active div a{ color:white;}
        .list-group-item.h6{
            line-height:2.5;
        }
        table.dataTable tbody td {
            word-break: break-word;
            vertical-align: top;
        }
    </style>
    <title>API Exchange</title>
</head>
<body>
<div>
    <nav class="navbar navbar-expand-lg navbar-light bg-light">
        <!-- brand -->
        <a class="navbar-brand">DataMax <br>
            <small>API Exchange</small>
        </a>
        <!-- .brand -->
        <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarSupportedContent"
                aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
            <span class="navbar-toggler-icon"></span>
        </button>
        <!-- list of menu items -->
        <div class="collapse navbar-collapse" id="navbarSupportedContent">
             <div class="ml-auto loading" style="display:none;"> <!-- custom success messages -->
                <div class="alert alert-success">Loading ... </div>
            </div>
            <ul class="navbar-nav ml-auto">
                <li class="nav-item">
                    <a class="nav-link"></a>
                </li>
                <li>

                </li>
                <li class="nav-item">
                    <a class="nav-link" href="{{  url_for('views_exchange.add_api') }}">
                        <i class="fas fa-plus-square"></i>&ensp;Add
                    </a>
                </li>
                <li class="nav-item">
                    <a class="nav-link" href="{{  url_for('views_exchange.all_api') }}">
                        <i class="fas fa-clipboard-list"></i>&ensp;All APIs
                    </a>
                </li>
                <li class="nav-item">
                    <a class="nav-link" href="{{  url_for('views_exchange.published_api') }}">
                        <i class="fas fa-clipboard-check"></i>&ensp;Published APIs
                    </a>
                </li>
                <li class="nav-item">
                    <a class="nav-link" href="{{  url_for('views_exchange.category_api') }}">
                        <i class="far fa-chart-bar"></i>&ensp;Summary
                    </a>
                </li>
                <li class="nav-item">
                    <a class="nav-link" href="{{  url_for('views_exchange.login') }}">
                        <i class="fas fa-power-off"></i>&ensp;Exit
                    </a>
                </li>
            </ul>
        </div><!-- .list of menu items -->
    </nav>
    <br/>
    <br/>
</div>

<div class="container-fluid gedf-wrapper">
    <div class="row">
        <div class="col-md-12 gedf-main">
            <!--- \\\\\\\Post-->
            <div class="card gedf-card">
                <div class="card-body">
                    {% block body %} {% endblock %}
                </div> <!-- .card body ends-->
            </div>
            <!-- Post /////-->
        </div>
    </div>
</div>

<div class="modal" tabindex="-1" role="dialog">
  <div class="modal-dialog" role="document">
    <div class="modal-content">
      <div class="modal-header">
        <h5 class="modal-title"></h5>
        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
          <span aria-hidden="true">&times;</span>
        </button>
      </div>
      <div class="modal-body">
        <p></p>
      </div>
      <div class="modal-footer">
        <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
      </div>
    </div>
  </div>
</div>

</body>

</html>

api/templates/public_layout.html
<!DOCTYPE html>

{# _datamax/api/templates/api_exchange/public_layout.html_ #}
<html lang="en">
<head>
    <!-- Required meta tags -->
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">

    <!-- Bootstrap CSS -->
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css"
          integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous">
    <link rel="stylesheet" href="https://use.fontawesome.com/releases/v5.6.3/css/all.css"
          integrity="sha384-UHRtZLI+pbxtHCWp1t77Bi1L4ZtiqrqD80Kn4Z8NTSRyMA2Fd33n5dQ8lWUE00s/" crossorigin="anonymous">

    <!-- jQuery first, then Popper.js, then Bootstrap JS -->
    <script src="https://code.jquery.com/jquery-3.4.1.min.js"
            crossorigin="anonymous"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.7/umd/popper.min.js"
            integrity="sha384-UO2eT0CpHqdSJQ6hJty5KVphtPhzWj9WO1clHTMGa3JDZwrnQq4sF86dIHNDz0W1"
            crossorigin="anonymous"></script>
    <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/js/bootstrap.min.js"
            integrity="sha384-JjSmVgyd0p3pXB1rRibZUAYoIIy6OrQ6VrjIEaFf/nJGzIxFDsf4x0xIM+B07jRM"
            crossorigin="anonymous"></script>
    <script>
        $( document ).ajaxStart(function() {
            $(".loading").show();
        });

        $( document ).ajaxStop(function() {
            $(".loading").hide();
        });

        $( document ).ajaxError(function( event, request, settings ) {
            $(".modal-body").html(request.responseJSON.traceback);
            $('.modal').modal('show');
        });
    </script>
    <style>
        html{
            font-size:0.7em;
        }

        body {
          height: 100%;

          background-color: #eeeeee;
        }

        .h7 {
            font-size: 0.8rem;
        }

        .gedf-wrapper {
            margin-top: 0.97rem;
        }

        @media (min-width: 992px) {
            .gedf-main {
                padding-left: 4rem;
                padding-right: 4rem;
            }
            .gedf-card {
                margin-bottom: 2.77rem;
            }
        }

        /**Reset Bootstrap*/
        .dropdown-toggle::after {
            content: none;
            display: none;
        }

        .btn-link{
            padding: 0px;
        }

        .wall-image{
            height: 200px;
        }

        #newNotification i{
                vertical-align: top;
                font-size: 0.7em;
                display:none;
                color: #05728f;
        }

        .navbar .navbar-nav .nav-link.active{
            color: #05728f;
        }

        .list-group-item.active{
            background-color: #05728f;
        }
        .list-group-item.active div a{ color:white;}
        .list-group-item.h6{
            line-height:2.5;
        }
        .form-signin {
          width: 100%;
          max-width: 330px;
          padding: 15px;
          margin: 0 auto;
        }

    </style>
    <title>DataMax - Public</title>
</head>
<body>
<div>
    <nav class="navbar navbar-expand-lg navbar-light bg-light">
        <!-- brand -->
        <a class="navbar-brand">DataMax <br>
            <small>&ensp;</small>
        </a>
        <!-- .brand -->
        <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarSupportedContent"
                aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
            <span class="navbar-toggler-icon"></span>
        </button>
        <!-- list of menu items -->
        <div class="collapse navbar-collapse" id="navbarSupportedContent">
             <div class="ml-auto loading" style="display:none;"> <!-- custom success messages -->
                <div class="alert alert-success">Loading ... </div>
            </div>
            <ul class="navbar-nav ml-auto">
                <li class="nav-item">
                    <a class="nav-link"></a>
                </li>
            </ul>
        </div><!-- .list of menu items -->
    </nav>
    <br/>
    <br/>
</div>
<div class="container-fluid">
    <div class="container-fluid gedf-wrapper">
        <div class="row">
            {% block body %} {% endblock %}
        </div>
    </div>
</div>

<div class="modal" tabindex="-1" role="dialog">
  <div class="modal-dialog" role="document">
    <div class="modal-content">
      <div class="modal-header">
        <h5 class="modal-title">Traceback</h5>
        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
          <span aria-hidden="true">&times;</span>
        </button>
      </div>
      <div class="modal-body">
        <p></p>
      </div>
      <div class="modal-footer">
        <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
      </div>
    </div>
  </div>
</div>

</body>

</html>

api/templates/validation_layout.html
<!DOCTYPE html>

{# _datamax/api/templates/validation_layout.html_ #}
<html lang="en">
<head>
    <!-- Required meta tags -->
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">

    <!-- Bootstrap CSS -->
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css"
          integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous">
    <link rel="stylesheet" href="https://use.fontawesome.com/releases/v5.6.3/css/all.css"
          integrity="sha384-UHRtZLI+pbxtHCWp1t77Bi1L4ZtiqrqD80Kn4Z8NTSRyMA2Fd33n5dQ8lWUE00s/" crossorigin="anonymous">
    <link rel="stylesheet" href="https://cdn.datatables.net/1.10.19/css/jquery.dataTables.min.css">
    <link rel="stylesheet" href="https://cdn.datatables.net/1.10.19/css/dataTables.bootstrap4.min.css">


    <!-- jQuery first, then Popper.js, then Bootstrap JS -->
    <script src="https://code.jquery.com/jquery-3.4.1.min.js"
            crossorigin="anonymous"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.7/umd/popper.min.js"
            integrity="sha384-UO2eT0CpHqdSJQ6hJty5KVphtPhzWj9WO1clHTMGa3JDZwrnQq4sF86dIHNDz0W1"
            crossorigin="anonymous"></script>
    <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/js/bootstrap.min.js"
            integrity="sha384-JjSmVgyd0p3pXB1rRibZUAYoIIy6OrQ6VrjIEaFf/nJGzIxFDsf4x0xIM+B07jRM"
            crossorigin="anonymous"></script>
    <script src="https://cdn.datatables.net/1.10.19/js/jquery.dataTables.min.js"></script>
    <script src="https://cdn.datatables.net/1.10.19/js/dataTables.bootstrap4.min.js"></script>
    <script>
        $( document ).ajaxStart(function() {
            $(".loading").show();
        });

        $( document ).ajaxStop(function() {
            $(".loading").hide();
        });

        $( document ).ajaxError(function( event, request, settings ) {
            console.log(request);
            $(".loading").hide();
            $(".modal-body").html(request.responseJSON.traceback);
            $('.modal').modal('show');
        });

        $(document).ready(function() {
            $.fn.dataTable.ext.errMode = 'none';
            $('html').on('error.dt', function(e, settings, techNote, message) {
                console.log(settings.jqXHR);
                if (settings.jqXHR.status == 403){
                    $('.modal-title').html('Session expired');
                    $('.modal-body').html(settings.jqXHR.responseJSON.traceback);
                    $('.modal').modal('show');
                }
            })
        });


    </script>
    <style>
        html{
            font-size:0.7em;
        }
        body {
                    background-color: #eeeeee;
                }

        .h7 {
            font-size: 0.8rem;
        }

        .gedf-wrapper {
            margin-top: 0.97rem;
        }

        @media (min-width: 992px) {
            .gedf-main {
                padding-left: 4rem;
                padding-right: 4rem;
            }
            .gedf-card {
                margin-bottom: 2.77rem;
            }
        }

        /**Reset Bootstrap*/
        .dropdown-toggle::after {
            content: none;
            display: none;
        }

        .btn-link{
            padding: 0px;
        }

        .wall-image{
            height: 200px;
        }

        #newNotification i{
                vertical-align: top;
                font-size: 0.7em;
                display:none;
                color: #05728f;
        }

        .navbar .navbar-nav .nav-link.active{
            color: #05728f;
        }

        .list-group-item.active{
            background-color: #05728f;
        }
        .list-group-item.active div a{ color:white;}
        .list-group-item.h6{
            line-height:2.5;
        }
        table.dataTable tbody td {
            word-break: break-word;
            vertical-align: top;
        }


    </style>
    <title>Validation Engine</title>
</head>
<body>
<div>
    <nav class="navbar navbar-expand-lg navbar-light bg-light">
        <!-- brand -->
        <a class="navbar-brand">DataMax <br>
            <small>Validation Engine</small>
        </a>
        <!-- .brand -->
        <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarSupportedContent"
                aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
            <span class="navbar-toggler-icon"></span>
        </button>
        <!-- list of menu items -->
        <div class="collapse navbar-collapse" id="navbarSupportedContent">
            <div class="ml-auto loading" style="display:none;"> <!-- custom success messages -->
                <div class="alert alert-success">Loading ...</div>
            </div>
            <ul class="navbar-nav ml-auto">
                <li class="nav-item">
                    <a class="nav-link"></a>
                </li>
                <li>

                </li>
                <li class="nav-item">
                    <a class="nav-link" href="{{  url_for('views_validation.index') }}">
                        <i class="fas fa-home"></i>&ensp;Home
                    </a>
                </li>
                <li class="nav-item">
                    <a class="nav-link" href="{{  url_for('views_validation.file_add_s3') }}">
                        <i class="fas fa-plus-square"></i>&ensp;Add S3 file
                    </a>
                </li>
                <li class="nav-item">
                    <a class="nav-link" href="{{  url_for('views_validation.file_add_redshift') }}">
                        <i class="fas fa-plus-square"></i>&ensp;Add Redshift file
                    </a>
                </li>
                <li class="nav-item">
                    <a class="nav-link" href="{{ url_for('views_validation.login') }}">
                        <i class="fas fa-power-off"></i>&ensp;Exit
                    </a>
                </li>
            </ul>
        </div><!-- .list of menu items -->
    </nav>
    <br/>
    <br/>
</div>

<div class="container-fluid gedf-wrapper">
    <div class="row">
        <div class="col-md-12 gedf-main">
            <!--- \\\\\\\Post-->
            <div class="card gedf-card">

                <div class="card-body">
                    {% block body %} {% endblock %}
                </div> <!-- .card body ends-->
            </div>
            <!-- Post /////-->
        </div>
    </div>
</div>

<div class="modal" tabindex="-1" role="dialog">
    <div class="modal-dialog" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title"></h5>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>
            <div class="modal-body">
                <p></p>
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
            </div>
        </div>
    </div>
</div>

</body>

</html>